Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects
Class SBR

    java.lang.Object
      com.sun.mdm.index.objects.ObjectNode
          com.sun.mdm.index.objects.SystemObject
              com.sun.mdm.index.objects.SBR

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class SBR
extends SystemObject

The SBR class represents the information about an entity that is considered to be the most accurate information from all external systems. This is known as the single best record, or SBR. An SBR object is a component of an enterprise object, which is made up of one SBR and one or more system objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.objects.SystemObject
`ACTION_ADD, ACTION_MERGE, ACTION_REMOVE, ACTION_TRANSFER, ACTION_UNMERGE, ACTION_UPDATE, mFieldNames, mFieldTypes, STATUS_ACTIVE, STATUS_INACTIVE, STATUS_MERGED`

Fields inherited from class com.sun.mdm.index.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion, serialVersionUID`

Constructor Summary
`SBR()` Creates a new instance of the SBR class.
`SBR(java.lang.String childtype, java.lang.String createuser, java.lang.String createsystem, java.lang.String createfunction, java.util.Date createdatetime, java.lang.String updateuser, java.lang.String updatesystem, java.lang.String updatefunction, java.util.Date updatedatetime, java.lang.String status, ObjectNode obj)` Creates a new instance of the SBR class.
`SBR(java.lang.String childtype, java.lang.String createuser, java.lang.String createsystem, java.lang.String createfunction, java.util.Date createdatetime, java.lang.String updateuser, java.lang.String updatesystem, java.lang.String updatefunction, java.util.Date updatedatetime, java.lang.String status, ObjectNode obj, boolean flag)` Creates a new instance of the SBR class.

Method Summary
`void` | `addOverWrite(SBROverWrite ow)` Adds a feature to the OverWrite attribute of the SBR object
`void` | `addOverWrites(java.util.Collection ows)` Adds a feature to the OverWrite attribute of the SBR object
`ObjectNode` | `copy()`
`java.lang.String` | `getChildType()` Retrieves the child type value from an SBR object.
`java.util.Date` | `getCreateDateTime()` Retrieves the create date and time from an SBR object.
`java.lang.String` | `getCreateFunction()` Retrieves the transaction type from an SBR object.
`java.lang.String` | `getCreateSystem()` Retrieves the processing code of the system that originated the record that created the SBR.
`java.lang.String` | `getCreateUser()` Retrieves logon ID of the user who created the SBR.
`java.util.ArrayList` | `getFieldNames()` get field names
`java.util.ArrayList` | `getFieldTypes()` get field types
`ObjectNode` | `getObject()` Retrieves the object node from an SBR object.
`java.util.ArrayList` | `getOverWrites()` Retrieves an array of overwrite values from an SBR object.
`java.lang.Integer` | `getRevisionNumber()` Retrieves the revision number from an SBR object.
`java.lang.String` | `getStatus()` Retrieves the status value from an SBR object.
`java.util.Date` | `getUpdateDateTime()` Retrieves the date and time the SBR object was last updated.
`java.lang.String` | `getUpdateFunction()` Retrieves the type of transaction that updated the SBR object.
`java.lang.String` | `getUpdateSystem()` Retrieves processing code of the system that last updated the SBR object.
`java.lang.String` | `getUpdateUser()` Retrieves logon ID of the user who updated the system object that last caused the SBR to be recalculated.
`void` | `removeOverWrite(SBROverWrite ow)`
`void` | `setChildType(java.lang.String childtype)` Sets the value of the childType field in an SBR object.
`void` | `setCreateDateTime(java.util.Date createdatetime)` Sets the value of the createDateTime field in an SBR object.
`void` | `setCreateFunction(java.lang.String createfunction)` Sets the value of the createFunction field in an SBR object.
`void` | `setCreateSystem(java.lang.String createsystem)` Sets the value of the createSystem field in an SBR object.
`void` | `setCreateUser(java.lang.String createuser)` Sets the value of the createUser field in an SBR object.
`void` | `setObject(ObjectNode obj)` Sets the object node in an instance of SBR.
`void` | `setRevisionNumber(int revisionNumber)` Sets the value of the revisionNumber field in an SBR object.
`void` | `setStatus(java.lang.String status)` Sets the value of the status field in an SBR object.
`void` | `setUpdateDateTime(java.util.Date updatedatetime)` Sets the value of the updateDateTime field in an SBR object.
`void` | `setUpdateFunction(java.lang.String updatefunction)` Sets the value of the updateFunction field in an SBR object.
`void` | `setUpdateSystem(java.lang.String updatesystem)` Sets the value of the updateSystem field in an SBR object.
`void` | `setUpdateUser(java.lang.String updateuser)` Sets the value of the updateUser field in an SBR object.
`ObjectNode` | `structCopy()`

Methods inherited from class com.sun.mdm.index.objects.SystemObject
`getLID, getSystemCode, setLID, setSystemCode`

Methods inherited from class com.sun.mdm.index.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, createChildIndex, deleteChild, deleteChild, deleteChild, equals, equals, getAllChildrenFromHashMap, getChild, getChild, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, readExternal, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, toString, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SBR

    public SBR()
        throws ObjectException

  Creates a new instance of the SBR class.

  Parameters:
    None.

  Throws:
    `ObjectException` - Thrown if an error occurs while creating the SBR object.

### SBR

    public SBR(java.lang.String childtype,
               java.lang.String createuser,
               java.lang.String createsystem,
               java.lang.String createfunction,
               java.util.Date createdatetime,
               java.lang.String updateuser,
               java.lang.String updatesystem,
               java.lang.String updatefunction,
               java.util.Date updatedatetime,
               java.lang.String status,
               ObjectNode obj)
        throws ObjectException

  Creates a new instance of the SBR class.

  Parameters:
    `childtype` - The type of object node contained in the SBR object.
    `createuser` - The logon ID of the user who created the SBR object.
    `createsystem` - The processing code of the system that originated the record that created the SBR.
    `createfunction` - The type of transaction that created the SBR object.
    `createdatetime` - The date and time the SBR object was created.
    `updateuser` - The logon ID of the user who updated the SBR object.
    `updatesystem` - The processing code of the system that last updated a record that caused the SBR to be recalculated.
    `updatefunction` - The type of transaction that caused the SBR object to be recalculated.
    `updatedatetime` - The date and time the SBR object was last recalculated.
    `status` - The status of the SBR.
    `obj` - An ObjectNode object that contains the data for the SBR object.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the SBR object.

### SBR

    public SBR(java.lang.String childtype,
               java.lang.String createuser,
               java.lang.String createsystem,
               java.lang.String createfunction,
               java.util.Date createdatetime,
               java.lang.String updateuser,
               java.lang.String updatesystem,
               java.lang.String updatefunction,
               java.util.Date updatedatetime,
               java.lang.String status,
               ObjectNode obj,
               boolean flag)
        throws ObjectException

  Creates a new instance of the SBR class. This constructor is for internal use only.

  Parameters:
    `childtype` - The type of object node contained in the SBR object.
    `createuser` - The logon ID of the user who created the SBR object.
    `createsystem` - The processing code of the system that originated the record that created the SBR.
    `createfunction` - The type of transaction that created the SBR object.
    `createdatetime` - The date and time the SBR object was created.
    `updateuser` - The login ID of the user who updated the SBR object.
    `updatesystem` - The processing code of the system that last updated a record that caused the SBR to be recalculated.
    `updatefunction` - The type of transaction that caused the SBR object to be recalculated.
    `updatedatetime` - The date and time the SBR object was last recalculated.
    `status` - The status of the SBR.
    `obj` - An ObjectNode object that contains the data for the SBR object.
    `flag` - This parameter is only used internally.
  Throws:
    `ObjectException` - Thrown if an error occurs while creating the SBR object.

Method Detail

### addOverWrite

    public void addOverWrite(SBROverWrite ow)
                      throws ObjectException

  Adds a feature to the OverWrite attribute of the SBR object

  Parameters:
    `ow` - overwrite object
  Throws:
    `ObjectException` - object exception

### addOverWrites

    public void addOverWrites(java.util.Collection ows)
                       throws ObjectException

  Adds a feature to the OverWrite attribute of the SBR object

  Parameters:
    `ows` - collection of overwrite objects
  Throws:
    `ObjectException` - object exception

### copy

    public ObjectNode copy()
                    throws ObjectException

  Description copied from class: `ObjectNode`
  ObjectNode deep copy

  Overrides:
    `copy` in class `SystemObject`
  Returns:
    ObjectNode copy
  Throws:
    `ObjectException` - object exception

### getChildType

    public java.lang.String getChildType()
                                  throws ObjectException

  Retrieves the child type value from an SBR object.

  Parameters:
    None.

  Overrides:
    `getChildType` in class `SystemObject`
  Returns:
    `String` - The value of the childType field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getCreateDateTime

    public java.util.Date getCreateDateTime()
                                     throws ObjectException

  Retrieves the create date and time from an SBR object.

  Parameters:
    None.

  Overrides:
    `getCreateDateTime` in class `SystemObject`
  Returns:
    `Date` - The value of the createDateTime field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getCreateFunction

    public java.lang.String getCreateFunction()
                                       throws ObjectException

  Retrieves the transaction type from an SBR object.

  Parameters:
    None.

  Overrides:
    `getCreateFunction` in class `SystemObject`
  Returns:
    `String` - The value of the createFunction field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getCreateSystem

    public java.lang.String getCreateSystem()
                                     throws ObjectException

  Retrieves the processing code of the system that originated the record that created the SBR.

  Parameters:
    None.

  Returns:
    `String` - The value of the createSystem field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getCreateUser

    public java.lang.String getCreateUser()
                                   throws ObjectException

  Retrieves logon ID of the user who created the SBR.

  Parameters:
    None.

  Overrides:
    `getCreateUser` in class `SystemObject`
  Returns:
    `String` - The value of the createUser field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getFieldNames

    public java.util.ArrayList getFieldNames()

  get field names

  Overrides:
    `getFieldNames` in class `SystemObject`
  Returns:
    ArrayList list

### getFieldTypes

    public java.util.ArrayList getFieldTypes()

  get field types

  Overrides:
    `getFieldTypes` in class `SystemObject`
  Returns:
    ArrayList list

### getObject

    public ObjectNode getObject()

  Retrieves the object node from an SBR object.

  Parameters:
    None.

  Overrides:
    `getObject` in class `SystemObject`
  Returns:
    `ObjectNode` - An object containing the data in the SBR object.
  Throws:
    None.

### getOverWrites

    public java.util.ArrayList getOverWrites()

  Retrieves an array of overwrite values from an SBR object.

  Parameters:
    None.

  Returns:
    `ArrayList` - An array of overwrite values in the SBR.
  Throws:
    None.

### getRevisionNumber

    public java.lang.Integer getRevisionNumber()
                                        throws ObjectException

  Retrieves the revision number from an SBR object.

  Parameters:
    None.

  Returns:
    `Integer` - The revision number of the SBR.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the revision number.

### getStatus

    public java.lang.String getStatus()
                               throws ObjectException

  Retrieves the status value from an SBR object.

  Parameters:
    None.

  Overrides:
    `getStatus` in class `SystemObject`
  Returns:
    `String` - The value of the status field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getUpdateDateTime

    public java.util.Date getUpdateDateTime()
                                     throws ObjectException

  Retrieves the date and time the SBR object was last updated.

  Parameters:
    None.

  Overrides:
    `getUpdateDateTime` in class `SystemObject`
  Returns:
    `Date` - The value of the updateDateTime field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getUpdateFunction

    public java.lang.String getUpdateFunction()
                                       throws ObjectException

  Retrieves the type of transaction that updated the SBR object.

  Parameters:
    None.

  Overrides:
    `getUpdateFunction` in class `SystemObject`
  Returns:
    `String` - The value of the updateFunction field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getUpdateSystem

    public java.lang.String getUpdateSystem()
                                     throws ObjectException

  Retrieves processing code of the system that last updated the SBR object.

  Parameters:
    None.

  Returns:
    `String` - The value of the updateSystem field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### getUpdateUser

    public java.lang.String getUpdateUser()
                                   throws ObjectException

  Retrieves logon ID of the user who updated the system object that last caused the SBR to be recalculated.

  Parameters:
    None.

  Overrides:
    `getUpdateUser` in class `SystemObject`
  Returns:
    `String` - The value of the updateUser field.
  Throws:
    `ObjectException` - Thrown if an error occurs while retrieving the field value.

### removeOverWrite

    public void removeOverWrite(SBROverWrite ow)

  Parameters:
    `ow` - overwrite

### setChildType

    public void setChildType(java.lang.String childtype)
                      throws ObjectException

  Sets the value of the childType field in an SBR object.

  Overrides:
    `setChildType` in class `SystemObject`
  Parameters:
    `childtype` - The child type (or object type) of the SBR.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setCreateDateTime

    public void setCreateDateTime(java.util.Date createdatetime)
                           throws ObjectException

  Sets the value of the createDateTime field in an SBR object.

  Overrides:
    `setCreateDateTime` in class `SystemObject`
  Parameters:
    `createdatetime` - The date and time the SBR was created.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setCreateFunction

    public void setCreateFunction(java.lang.String createfunction)
                           throws ObjectException

  Sets the value of the createFunction field in an SBR object.

  Overrides:
    `setCreateFunction` in class `SystemObject`
  Parameters:
    `createfunction` - The type of transaction that created the SBR.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setCreateSystem

    public void setCreateSystem(java.lang.String createsystem)
                         throws ObjectException

  Sets the value of the createSystem field in an SBR object.

  Parameters:
    `createsystem` - The processing code of the system whose record created the SBR.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setCreateUser

    public void setCreateUser(java.lang.String createuser)
                       throws ObjectException

  Sets the value of the createUser field in an SBR object.

  Overrides:
    `setCreateUser` in class `SystemObject`
  Parameters:
    `createuser` - The logon ID of the user who created the SBR.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setObject

    public void setObject(ObjectNode obj)
                   throws ObjectException

  Sets the object node in an instance of SBR. You must call setChildType prior to calling setObject.

  Overrides:
    `setObject` in class `SystemObject`
  Parameters:
    `obj` - The object node of the SBR object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setRevisionNumber

    public void setRevisionNumber(int revisionNumber)
                           throws ObjectException

  Sets the value of the revisionNumber field in an SBR object.

  Parameters:
    `revisionNumber` - The revision number for the SBR object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setStatus

    public void setStatus(java.lang.String status)
                   throws ObjectException

  Sets the value of the status field in an SBR object.

  Overrides:
    `setStatus` in class `SystemObject`
  Parameters:
    `status` - The status of the SBR object. Possible values are active, inactive, or merged.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setUpdateDateTime

    public void setUpdateDateTime(java.util.Date updatedatetime)
                           throws ObjectException

  Sets the value of the updateDateTime field in an SBR object.

  Overrides:
    `setUpdateDateTime` in class `SystemObject`
  Parameters:
    `updatedatetime` - The date and time the SBR was last updated.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setUpdateFunction

    public void setUpdateFunction(java.lang.String updatefunction)
                           throws ObjectException

  Sets the value of the updateFunction field in an SBR object.

  Overrides:
    `setUpdateFunction` in class `SystemObject`
  Parameters:
    `updatefunction` - The type of transaction that updated the SBR object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setUpdateSystem

    public void setUpdateSystem(java.lang.String updatesystem)
                         throws ObjectException

  Sets the value of the updateSystem field in an SBR object.

  Parameters:
    `updatesystem` - The processing code of the system whose record updated the SBR object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### setUpdateUser

    public void setUpdateUser(java.lang.String updateuser)
                       throws ObjectException

  Sets the value of the updateUser field in an SBR object.

  Overrides:
    `setUpdateUser` in class `SystemObject`
  Parameters:
    `updateuser` - The login ID of the user who last updated the SBR object.
  Returns:
    `void` - None.
  Throws:
    `ObjectException` - Thrown if an error occurs while setting the field value.

### structCopy

    public ObjectNode structCopy()
                          throws ObjectException

  Description copied from class: `ObjectNode`
  ObjectNode structural copy

  Overrides:
    `structCopy` in class `SystemObject`
  Returns:
    ObjectNode structure copy
  Throws:
    `ObjectException` - object exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.